Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1379)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1380)
@@ -13,5 +13,5 @@
 P 105 65
 T Secure Expeditee:
-o authadmin
+o nobody
 v S
 f Metamorphous_r36
@@ -26,5 +26,5 @@
 P 20 104
 T 🔒
-o authadmin
+o nobody
 v S
 f tr74
@@ -39,5 +39,5 @@
 P 105 115
 T Sleek like Aphroditē–Wise like Athēnâ.
-o authadmin
+o nobody
 v S
 f Metamorphous_r36
@@ -52,5 +52,5 @@
 P 364 185
 T Login to Expeditee
-o authadmin
+o nobody
 v S
 f Amaranth_r36
@@ -110,5 +110,5 @@
 X AuthLogin
 x F
-o authadmin
+o nobody
 n F
 v S
@@ -126,5 +126,5 @@
 P 602 435
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -137,5 +137,5 @@
 P 393 435
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -149,5 +149,5 @@
 T Create Account
 F 2
-o authadmin
+o nobody
 n F
 v S
@@ -164,5 +164,5 @@
 T 
 F 2
-o authadmin
+o nobody
 n F
 v S
@@ -179,5 +179,5 @@
 T Forgot Password
 F 4
-o authadmin
+o nobody
 n F
 v S
@@ -194,5 +194,5 @@
 T 
 F 4
-o authadmin
+o nobody
 n F
 v S
@@ -208,5 +208,5 @@
 P 393 526
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -219,5 +219,5 @@
 P 602 526
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1379)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1380)
@@ -1,8 +1,8 @@
-V 292
+V 300
 p 40
 U authadmin
 D 07Dec2018[12:19]
 M authadmin
-d 23May2019[12:16]
+d 27May2019[11:51]
 B 100 100 39 100
 Z
@@ -21,4 +21,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 758
@@ -35,4 +36,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 759
@@ -49,9 +51,10 @@
 h -1.0
 p 40
+_sl F
 
 S T 760
 s 11Apr2019[10:56.20]
 d 0 0 0 100
-P 280 185
+P 280 168
 T Create an Expeditee Account
 N 150
@@ -64,4 +67,5 @@
 h -1.0
 p 40
+_sl F
 
 S P 85
@@ -88,5 +92,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 287
+P 175 260
 T 
 x F
@@ -110,5 +114,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 347
+P 175 320
 T 
 x F
@@ -123,9 +127,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Password
-_maxW 300
+_sl T
 
 S T 130
@@ -134,5 +139,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 347
+P 515 320
 T 
 x F
@@ -147,9 +152,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Password Again
-_maxW 300
+_sl T
 
 S T 672
@@ -158,5 +164,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 407
+P 515 380
 T 
 x F
@@ -170,9 +176,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Email Again
-_maxW 300
+_sl T
 
 S T 671
@@ -181,5 +188,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 407
+P 175 380
 T 
 x F
@@ -193,9 +200,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Email
-_maxW 300
+_sl T
 
 S T 190
@@ -204,5 +212,5 @@
 G 100 100 0 100
 K 0 0 0 100
-P 394 469
+P 394 458
 T Create Account
 X AuthCreateAccount
@@ -219,4 +227,5 @@
 h 1.0
 p 41
+_sl F
 
 S P 773
@@ -284,4 +293,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 765
@@ -300,4 +310,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 761
@@ -316,4 +327,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 762
@@ -332,4 +344,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 763
@@ -348,4 +361,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 766
@@ -364,4 +378,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 767
@@ -380,4 +395,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 768
@@ -396,4 +412,5 @@
 h -1.0
 p 41
+_sl F
 
 S P 770
@@ -500,39 +517,129 @@
 Z
 
-ActiveTime:01:21:37
+ActiveTime:01:25:41
 DarkTime:01:32:58
-16:45:082 190 331 Ld
-16:45:153 190 331 Rd
-16:45:287 190 331 Ru
-16:45:295 190 331 Lu
-16:46:234 73 272 Md
-16:46:298 73 272 Rd
-16:46:399 73 272 Ru
-16:46:431 73 272 Mu
-16:47:249 612 348 kCTRL
-16:47:401 612 348 kS
-16:48:151 591 338 Ld
-16:48:217 591 338 Rd
-16:48:327 591 338 Lu
-16:48:335 591 338 Ru
-16:48:858 640 279 Md
-16:48:919 640 279 Rd
-16:49:119 640 279 Ru
-16:49:143 640 279 Mu
-16:49:810 571 391 Ld
-16:49:881 571 391 Rd
-16:49:991 571 391 Lu
-16:49:992 571 391 Ru
-16:50:649 605 290 Md
-16:50:689 605 290 Rd
-16:50:823 605 290 Ru
-16:50:847 605 290 Mu
-16:51:728 180 393 Ld
-16:51:775 180 393 Rd
-16:51:879 180 393 Lu
-16:51:887 180 393 Ru
-16:52:448 108 280 Md
-16:52:495 108 280 Rd
-16:52:623 108 280 Ru
-16:52:639 108 280 Mu
-16:53:456 108 280 kLEFT_ARROW
+49:46:377 540 328 Ld
+49:46:521 540 328 Rd
+49:46:712 540 328 Ru
+49:46:728 540 328 Lu
+49:51:681 705 241 kSHIFT
+49:52:097 705 241 kT
+49:52:316 716 241 kO
+49:52:508 725 241 kG
+49:52:652 734 241 kG
+49:52:762 743 241 kL
+49:52:873 748 241 kE
+49:53:036 756 241 kSHIFT
+49:53:132 756 241 kA
+49:53:324 769 241 kU
+49:53:442 778 241 kT
+49:53:547 783 241 kH
+49:53:741 792 241 kCTRL
+49:53:978 792 241 kA
+49:55:338 745 238 Ld
+49:55:433 745 238 Lu
+49:56:269 748 242 Md
+49:56:368 748 242 Rd
+49:56:477 748 242 Ru
+49:56:508 748 242 Mu
+49:59:950 699 238 kSHIFT
+50:00:169 699 238 kW
+50:00:346 716 238 kI
+50:00:483 721 238 kD
+50:00:623 730 238 kT
+50:00:702 735 238 kH
+50:00:795 744 238 kSHIFT
+50:01:563 748 238 kBACKSPACE
+50:01:641 744 238 kSHIFT
+50:03:755 728 235 Md
+50:03:848 728 235 Mu
+50:04:584 564 332 Rd
+50:04:741 564 332 Ru
+50:05:217 557 398 Rd
+50:05:311 556 398 Ru
+50:06:211 231 333 Rd
+50:06:305 231 333 Ru
+50:06:791 212 390 Rd
+50:06:885 212 390 Ru
+50:07:494 660 271 Md
+50:07:604 660 271 Rd
+50:07:760 660 271 Ru
+50:07:760 660 271 Mu
+50:08:298 567 391 Ld
+50:08:329 567 391 Rd
+50:08:465 567 391 Lu
+50:08:482 567 391 Ru
+50:10:777 702 257 Md
+50:10:824 702 257 Rd
+50:10:999 702 257 Ru
+50:11:015 702 257 Mu
+50:12:094 547 398 kLEFT_ARROW
+50:15:756 657 242 kSHIFT
+50:15:896 657 242 kS
+50:16:068 667 242 kI
+50:16:132 672 242 kN
+50:16:273 681 242 kG
+50:16:351 690 242 kL
+50:16:476 695 242 kE
+50:16:554 703 242 kSHIFT
+50:16:680 703 242 kL
+50:16:906 714 242 kI
+50:16:969 719 242 kN
+50:17:086 728 242 kE
+50:17:181 736 242 kSHIFT
+50:17:321 736 242 kO
+50:17:478 749 242 kN
+50:17:569 758 242 kL
+50:17:729 763 242 kY
+50:18:276 772 242 kSHIFT
+50:18:652 781 242 kT
+50:18:793 786 242 kR
+50:18:903 792 242 kU
+50:18:981 800 242 kE
+50:20:639 706 227 Md
+50:20:732 705 227 Mu
+50:23:753 587 342 Rd
+50:23:894 587 342 Ru
+50:24:803 253 345 Rd
+50:24:897 253 345 Ru
+50:25:459 219 399 Rd
+50:25:568 219 399 Ru
+50:26:109 589 393 Rd
+50:26:257 589 392 Ru
+50:28:245 660 275 Md
+50:28:292 660 275 Rd
+50:28:448 660 275 Ru
+50:28:464 660 275 Mu
+50:29:583 565 405 kLEFT_ARROW
+50:30:625 254 281 Ld
+50:30:703 254 281 Rd
+50:30:860 254 281 Lu
+50:30:860 254 281 Ru
+50:34:787 708 285 Md
+50:34:858 708 285 Rd
+50:35:039 708 285 Ru
+50:35:039 708 285 Mu
+50:35:587 544 352 Ld
+50:35:665 544 352 Rd
+50:35:790 544 352 Lu
+50:35:806 544 352 Ru
+50:37:058 715 256 Md
+50:37:095 715 256 Rd
+50:37:283 715 256 Ru
+50:37:299 715 256 Mu
+50:40:472 876 220 kCTRL
+50:40:987 876 220 kCTRL
+50:41:019 876 220 kCTRL
+50:41:050 876 220 kCTRL
+50:41:081 876 220 kCTRL
+50:41:119 876 220 kCTRL
+50:41:150 876 220 kCTRL
+50:41:182 876 220 kCTRL
+50:41:213 876 220 kCTRL
+50:41:244 876 220 kCTRL
+50:41:275 876 220 kCTRL
+50:41:306 876 220 kS
+51:24:134 583 226 kSHIFT
+51:24:400 583 226 kU
+51:24:585 596 226 kS
+51:27:824 603 226 kBACKSPACE
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1379)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1380)
@@ -1,8 +1,8 @@
-V 98
+V 100
 p 40
 U authadmin
 D 07Jan2019[14:34]
 M authadmin
-d 23May2019[12:16]
+d 27May2019[11:48]
 B 100 100 39 100
 Z
@@ -21,4 +21,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 123
@@ -35,4 +36,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 124
@@ -49,4 +51,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 142
@@ -63,4 +66,5 @@
 h -1.0
 p 40
+_sl F
 
 S P 41
@@ -102,4 +106,5 @@
 p 44
 _ph Password
+_sl F
 
 S T 74
@@ -119,4 +124,5 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
@@ -140,4 +146,5 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
@@ -165,4 +172,5 @@
 h 1.0
 p 41
+_sl F
 
 S P 263
@@ -171,5 +179,5 @@
 P 414 436
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -182,5 +190,5 @@
 P 586 436
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -195,5 +203,5 @@
 X AuthGotoAccountManagement
 x F
-o authadmin
+o nobody
 v S
 f FontAwesome_r32
@@ -202,4 +210,5 @@
 m 0.0
 h -1.0
+_sl F
 
 S T 254
@@ -210,5 +219,5 @@
 X Back
 x F
-o authadmin
+o nobody
 v S
 f FontAwesome_r32
@@ -217,4 +226,5 @@
 m 0.0
 h -1.0
+_sl F
 
 S T 255
@@ -225,5 +235,5 @@
 X AuthGoToDesktop
 x F
-o authadmin
+o nobody
 v S
 f FontAwesome_r40
@@ -232,4 +242,5 @@
 m 0.0
 h -1.0
+_sl F
 
 S P 264
@@ -239,5 +250,5 @@
 P 414 501
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -250,5 +261,5 @@
 P 586 501
 e 100 100 39 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -286,15 +297,69 @@
 Z
 
-ActiveTime:00:16:15
+ActiveTime:00:16:32
 DarkTime:00:20:25
-16:39:689 115 222 kCTRL
-16:40:095 115 222 kS
-16:41:371 537 319 Ld
-16:41:464 537 319 Rd
-16:41:631 537 319 Ru
-16:41:647 537 319 Lu
-16:42:602 121 249 Md
-16:42:681 121 249 Rd
-16:42:775 121 249 Ru
-16:42:823 121 249 Mu
-16:43:865 20 240 kLEFT_ARROW
+48:13:768 687 245 kSHIFT
+48:13:947 687 245 kS
+48:14:193 697 245 kI
+48:14:257 702 245 kN
+48:14:382 711 245 kG
+48:14:464 720 245 kL
+48:14:574 725 245 kE
+48:14:641 733 245 kSHIFT
+48:14:768 733 245 kL
+48:14:986 744 245 kI
+48:15:057 749 245 kN
+48:15:147 758 245 kE
+48:15:259 766 245 kSHIFT
+48:15:321 766 245 kO
+48:15:434 779 245 kN
+48:15:634 792 245 kL
+48:15:852 797 245 kY
+48:16:141 805 245 kBACKSPACE
+48:16:281 797 245 kBACKSPACE
+48:16:407 792 245 kBACKSPACE
+48:16:628 779 245 kN
+48:16:918 788 245 kL
+48:17:035 793 245 kY
+48:17:391 801 245 kSHIFT
+48:18:113 811 245 kT
+48:18:258 816 245 kR
+48:18:352 822 245 kU
+48:18:430 831 245 kE
+48:20:006 689 234 Md
+48:20:117 689 234 Mu
+48:21:588 555 338 Rd
+48:21:744 555 338 Ru
+48:22:463 195 331 Rd
+48:22:624 195 331 Ru
+48:23:324 690 271 Rd
+48:23:324 690 271 Md
+48:23:574 690 271 Ru
+48:23:590 690 271 Mu
+48:24:405 669 241 kSHIFT
+48:24:577 669 241 kW
+48:24:733 686 241 kI
+48:24:858 691 241 kD
+48:25:036 700 241 kT
+48:25:098 705 241 kH
+48:25:217 714 241 kSHIFT
+48:27:126 750 241 Md
+48:27:220 750 241 Mu
+48:27:868 591 336 Rd
+48:28:025 591 336 Ru
+48:28:690 333 345 Rd
+48:28:816 333 345 Ru
+48:29:349 678 258 Md
+48:29:443 678 258 Rd
+48:29:599 678 258 Ru
+48:29:599 678 258 Mu
+48:30:821 598 341 Ld
+48:30:884 598 341 Rd
+48:31:040 598 341 Lu
+48:31:040 598 341 Ru
+48:31:979 681 264 Md
+48:32:057 681 264 Rd
+48:32:213 681 264 Mu
+48:32:232 681 264 Ru
+48:33:919 780 241 kCTRL
+48:34:122 780 241 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1379)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1380)
@@ -1,8 +1,8 @@
-V 222
+V 226
 p 40
 U authadmin
 D 07Jan2019[14:34]
 M authadmin
-d 23May2019[12:16]
+d 27May2019[11:49]
 B 100 100 39 100
 Z
@@ -21,4 +21,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 306
@@ -35,4 +36,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 307
@@ -49,4 +51,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 308
@@ -63,4 +66,5 @@
 h -1.0
 p 40
+_sl F
 
 S T 330
@@ -83,5 +87,5 @@
 p 44
 _ph Username
-_maxW 300
+_sl F
 
 S T 333
@@ -105,4 +109,5 @@
 h 1.0
 p 41
+_sl F
 
 S P 328
@@ -143,5 +148,5 @@
 p 44
 _ph Identity Number
-_maxW 300
+_sl T
 
 S T 515
@@ -165,4 +170,5 @@
 h 1.0
 p 41
+_sl F
 
 S P 382
@@ -205,9 +211,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Password Piece Two
-_maxW 300
+_sl T
 
 S T 603
@@ -226,9 +233,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph Password Piece One
-_maxW 300
+_sl T
 
 S T 417
@@ -248,9 +256,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph New Password Again
-_maxW 300
+_sl F
 
 S T 418
@@ -270,9 +279,10 @@
 b 0.0
 m 0.0
+w 300
 M 300
 h 1.0
 p 44
 _ph New Password
-_maxW 300
+_sl F
 
 S T 503
@@ -296,4 +306,5 @@
 h 1.0
 p 41
+_sl F
 
 S P 618
@@ -361,4 +372,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 627
@@ -377,4 +389,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 628
@@ -393,4 +406,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 629
@@ -409,4 +423,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 630
@@ -425,4 +440,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 631
@@ -441,4 +457,5 @@
 h -1.0
 p 41
+_sl F
 
 S T 632
@@ -457,4 +474,5 @@
 h -1.0
 p 41
+_sl F
 
 S P 633
@@ -567,15 +585,14 @@
 Z
 
-ActiveTime:01:37:02
+ActiveTime:01:37:49
 DarkTime:02:33:57
-16:31:593 895 405 kCTRL
-16:31:978 895 405 kS
-16:34:563 219 335 Ld
-16:34:657 219 335 Rd
-16:34:783 219 335 Ru
-16:34:799 219 335 Lu
-16:37:970 115 222 Md
-16:38:071 115 222 Rd
-16:38:231 115 222 Ru
-16:38:255 115 222 Mu
-16:39:199 115 222 kLEFT_ARROW
+49:10:834 586 342 Ld
+49:10:912 586 342 Rd
+49:11:100 586 342 Lu
+49:11:115 586 342 Ru
+49:12:148 110 236 Md
+49:12:226 110 236 Rd
+49:12:351 110 236 Ru
+49:12:367 110 236 Mu
+49:12:507 110 236 kCTRL
+49:12:632 110 236 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1379)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1380)
@@ -13,5 +13,5 @@
 P 1283 -354
 e 59 59 100 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -24,5 +24,5 @@
 P 967 -354
 e 59 59 100 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -34,5 +34,5 @@
 P 983 -311
 T 
-o authadmin
+o nobody
 v S
 f FontAwesome_r32
@@ -46,5 +46,5 @@
 P 1052 -307
 T 
-o authadmin
+o nobody
 v S
 f FontAwesome_r40
@@ -58,5 +58,5 @@
 P 1188 -248
 T 
-o authadmin
+o nobody
 v S
 f FontAwesome_r32
@@ -70,5 +70,5 @@
 P 1080 -247
 T 
-o authadmin
+o nobody
 v S
 f FontAwesome_r32
@@ -83,5 +83,5 @@
 P 967 -217
 e 59 59 100 100
-o authadmin
+o nobody
 v S
 h 2.0
@@ -94,5 +94,5 @@
 P 1283 -217
 e 59 59 100 100
-o authadmin
+o nobody
 v S
 h 2.0