Index: trunk/src/org/expeditee/auth/Actions.java
===================================================================
--- trunk/src/org/expeditee/auth/Actions.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/Actions.java	(revision 1389)
@@ -48,4 +48,5 @@
 import org.expeditee.auth.mail.gui.MailBay;
 import org.expeditee.auth.tags.AuthenticationTag;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gio.gesture.StandardGestureActions;
 import org.expeditee.gui.DisplayController;
@@ -58,5 +59,4 @@
 import org.expeditee.settings.identity.secrets.KeyList;
 import org.expeditee.stats.Formatter;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class Actions implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/AuthenticatorBrowser.java
===================================================================
--- trunk/src/org/expeditee/auth/AuthenticatorBrowser.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/AuthenticatorBrowser.java	(revision 1389)
@@ -47,4 +47,5 @@
 import org.expeditee.core.Dimension;
 import org.expeditee.core.Point;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gio.EcosystemManager;
 import org.expeditee.gio.GraphicsManager;
@@ -67,5 +68,4 @@
 import org.expeditee.settings.identity.secrets.KeyList;
 import org.expeditee.stats.Formatter;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public final class AuthenticatorBrowser extends Browser implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/EncryptedExpReader.java
===================================================================
--- trunk/src/org/expeditee/auth/EncryptedExpReader.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/EncryptedExpReader.java	(revision 1389)
@@ -20,9 +20,9 @@
 import javax.crypto.spec.SecretKeySpec;
 
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.Frame;
 import org.expeditee.io.ExpReader;
 import org.expeditee.items.Text;
 import org.expeditee.settings.identity.secrets.KeyList;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class EncryptedExpReader extends ExpReader implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/EncryptedExpWriter.java
===================================================================
--- trunk/src/org/expeditee/auth/EncryptedExpWriter.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/EncryptedExpWriter.java	(revision 1389)
@@ -16,4 +16,5 @@
 import javax.crypto.spec.SecretKeySpec;
 
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
@@ -23,5 +24,4 @@
 import org.expeditee.settings.UserSettings;
 import org.expeditee.settings.identity.secrets.KeyList;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class EncryptedExpWriter extends ExpWriter implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/account/Authenticate.java
===================================================================
--- trunk/src/org/expeditee/auth/account/Authenticate.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/account/Authenticate.java	(revision 1389)
@@ -27,4 +27,5 @@
 import org.expeditee.auth.mail.gui.MailBay;
 import org.expeditee.auth.tags.AuthenticationTag;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.Browser;
 import org.expeditee.gui.DisplayController;
@@ -37,5 +38,4 @@
 import org.expeditee.settings.UserSettings;
 import org.expeditee.settings.identity.secrets.KeyList;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class Authenticate implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/account/Create.java
===================================================================
--- trunk/src/org/expeditee/auth/account/Create.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/account/Create.java	(revision 1389)
@@ -30,4 +30,5 @@
 import org.expeditee.auth.tags.AuthenticationTag;
 import org.expeditee.core.Colour;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
@@ -46,5 +47,4 @@
 import org.expeditee.settings.folders.FolderSettings;
 import org.expeditee.settings.identity.secrets.KeyList;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class Create implements CryptographyConstants {
Index: trunk/src/org/expeditee/auth/account/Password.java
===================================================================
--- trunk/src/org/expeditee/auth/account/Password.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/account/Password.java	(revision 1389)
@@ -34,4 +34,5 @@
 import org.expeditee.auth.mail.Mail.MailEntry;
 import org.expeditee.auth.tags.AuthenticationTag;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
@@ -43,5 +44,4 @@
 import org.expeditee.settings.identity.secrets.KeyList;
 import org.expeditee.stats.Formatter;
-import org.ngikm.cryptography.CryptographyConstants;
 
 import com.codahale.shamir.Scheme;
Index: trunk/src/org/expeditee/auth/mail/Mail.java
===================================================================
--- trunk/src/org/expeditee/auth/mail/Mail.java	(revision 1388)
+++ trunk/src/org/expeditee/auth/mail/Mail.java	(revision 1389)
@@ -39,7 +39,7 @@
 import org.expeditee.auth.mail.gui.MailBay;
 import org.expeditee.encryption.Actions;
+import org.expeditee.encryption.CryptographyConstants;
 import org.expeditee.gui.FrameIO;
 import org.expeditee.settings.UserSettings;
-import org.ngikm.cryptography.CryptographyConstants;
 
 public class Mail implements CryptographyConstants {
Index: trunk/src/org/expeditee/encryption/Actions.java
===================================================================
--- trunk/src/org/expeditee/encryption/Actions.java	(revision 1388)
+++ trunk/src/org/expeditee/encryption/Actions.java	(revision 1389)
@@ -25,5 +25,4 @@
 import org.expeditee.items.Text;
 import org.expeditee.settings.UserSettings;
-import org.ngikm.cryptography.CryptographyConstants;
 
 import com.codahale.shamir.Scheme;
Index: trunk/src/org/expeditee/encryption/CryptographyConstants.java
===================================================================
--- trunk/src/org/expeditee/encryption/CryptographyConstants.java	(revision 1389)
+++ trunk/src/org/expeditee/encryption/CryptographyConstants.java	(revision 1389)
@@ -0,0 +1,16 @@
+package org.expeditee.encryption;
+
+public interface CryptographyConstants {
+	public static final String AsymmetricAlgorithm = "RSA";
+	public static final String AsymmetricAlgorithmParameters = "/ECB/PKCS1Padding";
+	
+	public static final String SymmetricAlgorithm = "AES";
+	public static final String SymmetricAlgorithmParameters = "/ECB/PKCS5Padding";
+	public static final int SymmetricAlgorithmKeyLength = 256;
+	
+	public static final String AsymmetricSigningAlgorithm = "SHA256withRSA";
+	
+	public static final String KeystoreType = "JCEKS";//"PKCS12";
+	
+	public static final String Digest = "MD5";
+}