Index: trunk/src/org/expeditee/encryption/items/EncryptionPermissionTriple.java
===================================================================
--- trunk/src/org/expeditee/encryption/items/EncryptionPermissionTriple.java	(revision 1393)
+++ trunk/src/org/expeditee/encryption/items/EncryptionPermissionTriple.java	(revision 1394)
@@ -12,9 +12,14 @@
 	private UserAppliedEncryptionPermission otherPermission;
 	
-	public EncryptionPermissionTriple(String permissionCode, 
-			UserAppliedEncryptionPermission defaultPermission) {
-		ownerPermission = defaultPermission;
-		groupPermission = defaultPermission;
-		otherPermission = defaultPermission;
+	public EncryptionPermissionTriple(String permissionCode, String defaultPermission) {
+		ownerPermission = defaultPermission.length() > 0 ? 
+				UserAppliedEncryptionPermission.getPermission(defaultPermission.charAt(0) + "", UserAppliedEncryptionPermission.none) : 
+				UserAppliedEncryptionPermission.none;
+		groupPermission = defaultPermission.length() > 1 ? 
+				UserAppliedEncryptionPermission.getPermission(defaultPermission.charAt(1) + "", UserAppliedEncryptionPermission.none) : 
+				UserAppliedEncryptionPermission.none;;
+		otherPermission = defaultPermission.length() > 2 ? 
+				UserAppliedEncryptionPermission.getPermission(defaultPermission.charAt(2) + "", UserAppliedEncryptionPermission.none) : 
+				UserAppliedEncryptionPermission.none;;
 		
 		if (permissionCode != null) {
@@ -24,5 +29,5 @@
 				// If it does not then it will remain as the default permission passed to the function.
 				String ownerPermissionCode = permissionCode.charAt(0) + "";
-				this.ownerPermission = UserAppliedEncryptionPermission.getPermission(ownerPermissionCode, defaultPermission);
+				this.ownerPermission = UserAppliedEncryptionPermission.getPermission(ownerPermissionCode, ownerPermission);
 				
 				// If the permission code has a character at index 1, then it is the group permission.
@@ -30,9 +35,9 @@
 				if (permissionCode.length() < 2) { return; }
 				String groupPermissionCode = permissionCode.charAt(1) + "";
-				this.groupPermission = UserAppliedEncryptionPermission.getPermission(groupPermissionCode, defaultPermission);
+				this.groupPermission = UserAppliedEncryptionPermission.getPermission(groupPermissionCode, groupPermission);
 				
 				if (permissionCode.length() < 3) { return; }
 				String otherPermissionCode = permissionCode.charAt(2) + "";
-				this.otherPermission = UserAppliedEncryptionPermission.getPermission(otherPermissionCode, defaultPermission);
+				this.otherPermission = UserAppliedEncryptionPermission.getPermission(otherPermissionCode, otherPermission);
 			}
 		}
@@ -65,6 +70,6 @@
 	
 	public static EncryptionPermissionTriple convertString(String permissionCode) {
-		UserAppliedEncryptionPermission defaultPermission = UserAppliedEncryptionPermission.values()[EncryptionDefaults.DefaultEncryptionPermission.get()];
-		return new EncryptionPermissionTriple(permissionCode, defaultPermission);
+		String defaultEncryptionPermission = EncryptionDefaults.DefaultEncryptionPermission.get();
+		return new EncryptionPermissionTriple(permissionCode, defaultEncryptionPermission);
 	}
 	
Index: trunk/src/org/expeditee/settings/encryption/EncryptionDefaults.java
===================================================================
--- trunk/src/org/expeditee/settings/encryption/EncryptionDefaults.java	(revision 1393)
+++ trunk/src/org/expeditee/settings/encryption/EncryptionDefaults.java	(revision 1394)
@@ -1,11 +1,10 @@
 package org.expeditee.settings.encryption;
 
-import org.expeditee.setting.IntegerSetting;
+import org.expeditee.setting.StringSetting;
 
 public class EncryptionDefaults {
-	public static final IntegerSetting DefaultEncryptionPermission = new IntegerSetting(
-		"The default level of permission for encryption when not otherwise specified", 
-		"DefaultEncryptionPermission", 
-		0
+	public static final StringSetting DefaultEncryptionPermission = new StringSetting(
+		"The default level of permission for encryption when not otherwise specified",  
+		"000"
 	);
 }