Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1396)
@@ -123,4 +123,5 @@
 M 205
 h 1.0
+_ti 3
 
 S P 78
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1396)
@@ -233,4 +233,5 @@
 p 41
 _sl F
+_ti 6
 
 S P 773
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1396)
@@ -176,4 +176,5 @@
 p 41
 _sl F
+_ti 4
 
 S P 263
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1396)
@@ -1,8 +1,8 @@
-V 226
+V 228
 p 40
 U authadmin
 D 07Jan2019[14:34]
-M authadmin
-d 27May2019[11:49]
+M nobody
+d 30May2019[12:55]
 B 100 100 39 100
 Z
@@ -96,5 +96,5 @@
 K 0 0 0 100
 P 574 219
-T   Get Identity # 
+T   Get Identity Number
 X AuthDistributeIntergalacticNumber
 x F
@@ -107,8 +107,9 @@
 b 0.0
 m 0.0
-M 215
-h 1.0
-p 41
-_sl F
+w 300
+M 300
+h 1.0
+p 41
+_ti 2
 
 S P 328
@@ -149,6 +150,5 @@
 p 44
 _ph Identity Number
-_sl T
-_ti 2
+_ti 3
 
 S T 515
@@ -158,5 +158,5 @@
 K 0 0 0 100
 P 574 269
-T Submit Identity #
+T Submit Identity Number
 X AuthSubmitIntergalacticNumber
 x F
@@ -169,8 +169,9 @@
 b 0.0
 m 0.0
-M 205
-h 1.0
-p 41
-_sl F
+w 300
+M 300
+h 1.0
+p 41
+_ti 4
 
 S P 382
@@ -218,6 +219,5 @@
 p 44
 _ph Password Piece Two
-_sl T
-_ti 4
+_ti 6
 
 S T 603
@@ -241,6 +241,5 @@
 p 44
 _ph Password Piece One
-_sl T
-_ti 3
+_ti 5
 
 S T 417
@@ -266,5 +265,5 @@
 _ph New Password Again
 _sl F
-_ti 6
+_ti 8
 
 S T 418
@@ -290,5 +289,5 @@
 _ph New Password
 _sl F
-_ti 5
+_ti 7
 
 S T 503
@@ -313,4 +312,5 @@
 p 41
 _sl F
+_ti 9
 
 S P 618
@@ -593,12 +593,125 @@
 ActiveTime:01:37:49
 DarkTime:02:33:57
-49:10:834 586 342 Ld
-49:10:912 586 342 Rd
-49:11:100 586 342 Lu
-49:11:115 586 342 Ru
-49:12:148 110 236 Md
-49:12:226 110 236 Rd
-49:12:351 110 236 Ru
-49:12:367 110 236 Mu
-49:12:507 110 236 kCTRL
-49:12:632 110 236 kS
+55:59:214 974 141 kSHIFT
+55:59:413 974 141 kT
+55:59:669 985 141 kO
+55:59:820 994 141 kG
+55:59:955 1003 141 kG
+56:00:066 1012 141 kL
+56:00:186 1016 141 kE
+56:00:348 1025 141 kSHIFT
+56:00:436 1025 141 kA
+56:00:660 1038 141 kU
+56:00:763 1047 141 kT
+56:00:863 1052 141 kH
+56:01:085 1061 141 kCTRL
+56:01:245 1061 141 kA
+56:12:623 644 193 Ld
+56:12:691 644 193 Rd
+56:12:826 644 193 Lu
+56:12:843 644 193 Ru
+56:13:979 986 135 Ld
+56:14:115 986 135 Lu
+56:14:966 696 197 Ld
+56:15:012 696 197 Rd
+56:15:147 696 197 Lu
+56:15:187 696 197 Ru
+56:26:280 1069 243 Md
+56:26:299 1069 243 Rd
+56:26:419 1069 243 Mu
+56:26:426 1069 243 Ru
+56:27:534 1026 139 Md
+56:27:571 1026 139 Rd
+56:27:779 1026 139 Ru
+56:27:780 1026 139 Mu
+56:31:507 663 197 Ld
+56:31:581 663 197 Rd
+56:31:723 663 197 Lu
+56:31:747 663 197 Ru
+56:34:254 1038 189 Md
+56:34:314 1038 189 Rd
+56:34:523 1038 189 Mu
+56:34:538 1038 189 Ru
+56:35:068 1151 300 kSHIFT
+56:35:568 1150 300 kSHIFT
+56:35:599 1150 300 kSHIFT
+56:35:632 1150 300 kSHIFT
+56:35:666 1150 300 kSHIFT
+56:35:699 1150 300 kSHIFT
+56:35:732 1150 300 kSHIFT
+56:35:764 1150 300 kSHIFT
+56:35:798 1150 300 kSHIFT
+56:35:831 1150 300 kSHIFT
+56:35:863 1150 300 kSHIFT
+56:35:874 1150 300 kW
+56:36:380 1167 300 kI
+56:36:451 1172 300 kD
+56:36:645 1181 300 kT
+56:36:707 1186 300 kH
+56:36:810 1195 300 kSHIFT
+56:38:190 1182 295 Md
+56:38:307 1182 295 Mu
+56:38:894 625 191 Rd
+56:38:987 625 191 Ru
+56:39:764 627 249 Rd
+56:39:859 627 249 Ru
+56:41:702 1047 334 Md
+56:41:781 1047 334 Rd
+56:41:931 1047 334 Ru
+56:41:947 1047 334 Mu
+56:54:550 704 261 Ld
+56:54:765 704 261 Rd
+56:54:947 704 261 Ru
+56:54:955 704 261 Lu
+56:58:422 1052 309 Md
+56:58:451 1052 309 Rd
+56:58:627 1052 309 Ru
+56:58:627 1052 309 Mu
+57:09:933 848 208 kBACKSPACE
+57:20:206 1047 362 kSHIFT
+57:20:389 1047 362 kW
+57:20:678 1064 362 kSHIFT
+57:24:475 1085 362 Md
+57:24:619 1085 362 Mu
+57:25:366 720 212 Md
+57:25:459 720 212 Mu
+57:29:539 1023 282 kSHIFT
+57:29:997 1023 282 kW
+57:30:349 1040 282 kI
+57:30:428 1045 282 kD
+57:30:669 1054 282 kT
+57:30:748 1059 282 kH
+57:30:835 1068 282 kSHIFT
+57:33:967 1109 284 Md
+57:34:107 1109 284 Mu
+57:35:022 700 206 Rd
+57:35:131 700 206 Ru
+57:36:262 690 248 Rd
+57:36:363 690 248 Ru
+57:38:078 1136 307 Md
+57:38:203 1136 307 Mu
+57:39:158 660 256 Ld
+57:39:643 660 256 Lu
+57:42:876 881 215 kBACKSPACE
+57:43:086 874 219 kBACKSPACE
+57:43:396 865 219 kBACKSPACE
+57:45:393 600 212 kBACKSPACE
+57:45:589 590 219 kBACKSPACE
+57:45:819 582 219 kBACKSPACE
+57:49:485 1047 296 kSHIFT
+57:49:582 1047 296 kM
+57:49:806 1066 305 kI
+57:49:875 1071 305 kN
+57:51:391 1080 305 Md
+57:51:507 1080 305 Mu
+57:52:144 705 215 Rd
+57:52:195 705 215 Ru
+57:52:846 710 250 Rd
+57:52:931 710 250 Ru
+57:53:726 1142 372 Md
+57:53:788 1142 372 Rd
+57:53:923 1142 372 Ru
+57:53:947 1142 372 Mu
+58:00:035 1153 256 kCTRL
+58:00:538 1153 257 kCTRL
+58:00:554 1153 257 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp	(revision 1396)
@@ -145,4 +145,5 @@
 h 1.0
 p 41
+_ti 3
 
 S P 428
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1383)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1396)
@@ -227,4 +227,5 @@
 h 1.0
 p 41
+_ti 3
 
 S P 1703